// MapViewWinView.cpp : implementation of the CMapViewWinView class
//

#include "stdafx.h"
#include "MapViewWin.h"

#include "MapViewWinDoc.h"
#include "MapViewWinView.h"

#include "ScreenFrame.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMapViewWinView

IMPLEMENT_DYNCREATE(CMapViewWinView, CView)

BEGIN_MESSAGE_MAP(CMapViewWinView, CView)
	//{{AFX_MSG_MAP(CMapViewWinView)
	ON_WM_KEYDOWN()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMapViewWinView construction/destruction

CMapViewWinView::CMapViewWinView()
{
	// TODO: add construction code here
}

CMapViewWinView::~CMapViewWinView()
{
}

BOOL CMapViewWinView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CView::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CMapViewWinView drawing





void CMapViewWinView::OnDraw(CDC* pDC)
{
	CMapViewWinDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	pDoc->scrn.MoveFrame(pDC, pDoc->gOffsetX, pDoc->gOffsetY);


	// TODO: add draw code for native data here
}

/////////////////////////////////////////////////////////////////////////////
// CMapViewWinView diagnostics

#ifdef _DEBUG
void CMapViewWinView::AssertValid() const
{
	CView::AssertValid();
}

void CMapViewWinView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CMapViewWinDoc* CMapViewWinView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CMapViewWinDoc)));
	return (CMapViewWinDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CMapViewWinView message handlers

void CMapViewWinView::OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags) 
{
	// TODO: Add your message handler code here and/or call default
	CMapViewWinDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	switch(nChar)
	{
	case VK_RIGHT:
		pDoc->gOffsetX-=10;
		InvalidateRect(NULL);
		break;
	case VK_LEFT:
		pDoc->gOffsetX+=10;
		InvalidateRect(NULL);
		break;
	case VK_UP:
		pDoc->gOffsetY+=10;
		InvalidateRect(NULL);
	    break;
	case VK_DOWN:
		pDoc->gOffsetY-=10;
		InvalidateRect(NULL);
	    break;
	default:
	    break;
	}

	CView::OnKeyDown(nChar, nRepCnt, nFlags);
}


void CMapViewWinView::OnInitialUpdate() 
{
	CView::OnInitialUpdate();
	
    CFrameWnd  *pParent = GetParentFrame();
    pParent->MoveWindow(0,0, 240, 320);	

/*	CMapViewWinDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);
	pDoc->scrn.LoadFrame(20, 20, 3, 3);
*/
}
